/* syslib.h -- OS and C utility functions
   Copyright 2000 BitWagon Software LLC.  All rights reserved.
   This file may be used, modified, and distributed under the terms
   of the GNU General Public License version 2.
*/
#ifndef _h_syslib_h  /*{*/
#define _h_sysllib_h

#include <sys/types.h>

extern char * getfile(
	char const *const fname,
	size_t *p_size,
	int exit_on_fail
);

extern int do_exec(
	char const *const *const argv,
	char const *const redir0,
	char const *const redir1,
	char const *const redir2
);

extern char * my_mktmpname(char const *const base);

extern off_t ulseek(int fd, off_t offset, int whence);

extern size_t uwrite(int fd, void const *buffer, size_t length);

extern char * zalloc(size_t size);

#endif  /*}*/
